<?

$fch = @file("goods/$tovid");

If (trim($fch[0]) <> $cl and file_exists("goods/$tovid") == false) {

 echo "<script> alert('У Вас нет прав на этот отзыв!'); history.back(); </script>";

 exit;

}



If ($send == "ok") {

 $fr = @file("responses/$tid");

 $msg = str_replace("\n","<br>",htmlspecialchars(stripslashes($msg)));

 $msg =str_replace("^","_",$msg);



 $fw = fopen("responses/$tid", "w");

 for ($i = 0; $i < $pos; $i++) {

  fwrite($fw, trim($fr[$i]) . "\n");

 }

 $ar = explode("^", trim($fr[$pos]));

 fwrite($fw, "$ar[0]^$ar[1]^$ar[2]^$ar[3]^$msg\n");

 for ($i = $pos+1; $i < count($fr); $i++) {

  fwrite($fw, trim($fr[$i]) . "\n");

 }

 fclose($fw);



 echo "<script> alert('Ваши комментарии сохранены!'); </script>";

 echo "<script> document.location.href='/my.php$idstr&com=responses&tovid=$tovid&r=$r'; </script>";

 exit;

}

?>

<table border="0" width="100%" cellspacing="0" cellpadding="0">

  <tr>

    <td width="100%" bgcolor="#F0F0F0"><p><b>&gt;&gt; Авторизированный пользователь <? echo $cl ?> &gt;&gt; Отзывы о моих товарах</b></p></td>

  </tr>

</table>

<p>&nbsp;</p>



<table border="0" width="98%" cellspacing="0" cellpadding="4" bgcolor="#C0C0C0" align="center">

  <tr>

    <td width="2%" valign="middle" bgcolor="#F0F0F0" height="1" style="border-left: 1 solid #C0C0C0; border-top: 1 solid #C0C0C0; border-bottom: 1 solid #C0C0C0"><p align="center"><img border="0" src="img/pic_info.gif" width="16" height="16"></p></td>

    <td width="98%" bgcolor="#F0F0F0" height="1" style="border-right: 1 solid #C0C0C0; border-top: 1 solid #C0C0C0; border-bottom: 1 solid #C0C0C0"><p>Если у Вас нет персонального аттестата, и покупатель оставил отрицательный отзыв, Вы должны урегулировать конфликт с покупателем или вернуть ему деньги, а пока Ваш счет будет заблокирован!</p><p><font color="#FF0000">Если же Вы считаете, что покупатель не прав, обратитесь к администратору по внутренней почте, полностью описав возникшую проблему.</font></p></td>

  </tr>

</table>

<p>&nbsp;</p>





<table border="1" width="98%" cellpadding="0" align="center" style="border-collapse: collapse" bordercolor="#9ace8b" cellspacing="1">

  <tr>

    <td width="100%" valign="top">

      <table border="0" width="100%" cellspacing="0" cellpadding="0" bgcolor="#F1FFED" style="border-collapse: collapse" bordercolor="#111111">

        <tr>

           <td width="100%" bgcolor="#9ACE8B"><p><b><? If ($r == "bad") { echo "Отрицательные"; } Else { echo "Положительные"; } ?> отзывы</b></p></td>

        </tr>

        <tr>

           <td width="100%" valign="top">



    <p><b>Товар № </b>

<?





If ($r == "bad") {

 $sravno = "1";

}

Else {

 $sravno = "0";

}





$d = dir("responses/");

while($tme = $d->read()) {

 If ($tme <> "." and $tme <> ".." and $tme <> ".htaccess") {

  $fresp = @file("responses/$tme");

  $ftovr = @file("goods/$tme");

  $ar = explode("^", trim($ftovr[0]));

  If ($ar[0] == $cl) {

   $arall[] = $tme;

  }

 }

}

$d->close();



If ($tovid == "") {

 $tovid = $arall[0];

}



for ($f = 0; $f < count($arall); $f++) {

 $fr = @file("responses/$arall[$f]");

 If ($arall[$f] == $tovid) {

  echo "<a href='/my.php$idstr&com=responses&tovid=$arall[$f]&r=$r' class='cap3'><b>$arall[$f]</b></a>";

 }

 Else {

  echo "<a href='/my.php$idstr&com=responses&tovid=$arall[$f]&r=$r' class='cap4'>$arall[$f]</a>";

 }



 If ($arall[$f+1] <> "") {

  echo "&nbsp;|&nbsp;";

 }

}

?>

</p>

       <table border='0' width='100%' cellspacing='0' cellpadding='0'>



<?



 $fr = @file("responses/$tovid");

 $m = 0;

 while ($fr[$m] <> "") {

  $ar = explode("^", trim($fr[$m]));

  If ($sravno == $ar[0]) {

   echo "

   <tr>

    <td width='20%' valign='top' style='border-bottom: 1 solid #C0C0C0'><p>$ar[1]</p><p>Счет №$ar[3]</p></td>

    <td width='40%' valign='top' style='border-bottom: 1 solid #C0C0C0'><p><b>Отзыв покупателя:</b></p><p>$ar[2]</p></td>

    <td width='40%' valign='top' style='border-bottom: 1 solid #C0C0C0'>

      <form method='POST' action=''>

        <input type='hidden' name='tid' value='$tovid'>

        <input type='hidden' name='pos' value='$m'>

        <input type='hidden' name='send' value='ok'>

        <p><b>Ваши комментарии на отзыв покупателя:</b></p>

        <p>

        <textarea rows='3' name='msg' cols='45' style='font-family: Verdana, Arial; font-size: 8pt; border: 1px solid #9ACE8B; '>" . str_replace("<br>", "\n", $ar[4]) . "</textarea>&nbsp;<input type='submit' value='Сохранить' name='B1' style='border:1px solid #9ACE8B; font-family: Verdana, Arial; font-size: 8pt; background-color:#F1FFED'></p>

      </form>

    </td>

   </tr>";

  }

  $m++;

 }

 If ($m == 0) {

  echo "<p>Отзывов не найдено!</p>";

 }





?>

</table>

           </td>

        </tr>

      </table>

    </td>

  </tr>

</table>